# rpm does not currently pull debuginfo out of mono packages
%global debug_package %{nil}  

Summary:        MonoDevelop Debugger Addin
Name:           monodevelop-debugger-mdb
Version:        2.4
Release:        3%{?dist}
License:        MIT
Group:          Development/Tools
Source:         http://www.monodevelop.com/Downloads/%{name}-%{version}.tar.bz2
URL:            http://www.monodevelop.com
Patch0:		md-debugger-mdb-2.2-cecil.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)  
BuildRequires:  mono-devel >= 2.6.1 mono-debugger-devel >= 2.6 monodevelop-devel >= 2.4 mono-addins-devel 
Requires:       mono-debugger >= 2.6 monodevelop >= 2.4
# Mono only available on these:
#ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x
# but mono-debugger in Linux is limited to
ExclusiveArch: %ix86 x86_64

%description
Mono Debugger Addin for MonoDevelop. 

%package devel
Summary:        Development files for MonoDevelop Debugger Addin
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Mono Debugger Addin for MonoDevelop. Development package.

The %{name}-devel package contains development files for %{name}.

%define assembly_path %{_libdir}/monodevelop/AddIns/MonoDevelop.Debugger/

%prep
%setup -q
sed -i -e 's!@expanded_libdir@/@PACKAGE@/!%{assembly_path}!g' Mono.Debugging.Backend.Mdb/mono.debugging.backend.mdb.pc.in
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' Mono.Debugging.Server.Mdb/Makefile
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' Mono.Debugging.Backend.Mdb/Makefile
sed -i -e 's!$(prefix)/lib/!%{_libdir}/!g' Mono.Debugging.Backend.Mdb.AspNet/Makefile
%patch0 -p1 -b .cecil

%build
./configure --prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir} --libdir=%{_libdir}
mkdir -p deps
cp %{_libdir}/mono/gac/Mono.Cecil/*/Mono.Cecil.dll deps
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{assembly_path}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{assembly_path}DebuggerClient.dll*
%{assembly_path}DebuggerServer.exe*
%{assembly_path}AspNetDebuggerClient.dll*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mono.debugging.backend.mdb.pc

%changelog
* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 2.4-3
- updated the supported arch list once more

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 2.4-2
- updated the supported arch list

* Sat Jun 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1
- Bump to 2.4 release
- Update BR and R for 2.4 release

* Sun May 30 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.3.1-1
- Bump to 2.4 beta 2

* Tue May 18 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.3-1
- Bump to 2.4 beta

* Fri Feb 12 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2.1-1
- Update to 2.2.1 (builds against MD 2.2.1)
- Spec file cleanup
- Now needs MD 2.2.1

* Sun Dec 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-4
- Another attempt at getting 64 bit working by fixing the spec file!

* Sun Dec 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-3
- Fix for x86_64

* Sat Dec 26 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2
- Change exclusivearch to reflect the archs for monodevelop
- Rebuild against mono-debugger-2.6 release
- Remove BR monodevelop

* Wed Dec 16 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1
- Bump to 2.2 release

* Sun Sep 13 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.1.0-0
- Bump to 2.2 beta 1 mdb
- Added AspNetDebugger dll

* Fri Jul 03 2009 Paul Lange <palango@gmx.de> - 2.0-2
- Fix build

* Thu Jun 04 2009 Mauricio Henriquez <buhochileno@gmail.com> - 2.0-1
- Initial packaging with help by Ryan Bair
